version

Intel MPI Library and Composer XE Compatibility

The following table lists all supported versions of the Intel® MPI Library and the Intel® Composer XE.  Use this as a reference on the cross-compatibility between the library and associated compiler.

  • Linux*
  • Microsoft Windows* (XP, Vista, 7)
  • Microsoft Windows* 8.x
  • C/C++
  • Fortran
  • Intel® Parallel Studio XE Composer Edition
  • Intel® Parallel Studio XE Cluster Edition
  • Intel® Fortran Compiler
  • Intel® MPI Library
  • MPI
  • compiler
  • compatibility
  • version
  • Message Passing Interface
  • Cluster Computing
  • Intel® Integrated Performance Primitives - Supported Versions

    The following Intel® IPP versions are currently supported:

    • Intel® IPP 9.0  for Windows*, Linux*, OS X*
    • Intel® IPP 8.2  for Windows*, Linux*, OS X*
    • Intel® IPP 8.1  for Windows*, Linux*, OS X*

    Refer to System requirements document for additional information about Operating System support information - https://software.intel.com/en-us/articles/intel-software-products-system-requirements

  • Developers
  • Professional
  • Android*
  • Apple OS X*
  • Linux*
  • Microsoft Windows* 10
  • Microsoft Windows* 8.x
  • Tizen*
  • Internet of Things
  • Windows*
  • .NET*
  • C#
  • C/C++
  • Beginner
  • Intel® Parallel Studio XE
  • Intel® System Studio
  • Intel® Integrated Performance Primitives
  • support
  • version
  • release
  • ipp support
  • Intel® Advanced Vector Extensions
  • OpenMP*
  • Development Tools
  • Subscribe to version